[ORG 0x7C00]
[BITS 16]

_start: ; entry point
	cli
	jmp 0x0:.flush
.flush:
	mov ax, cs
	mov ds, ax
	mov es, ax
	mov ss, ax
	mov sp, 0x7BFE
	mov [bootdisk], dl
	sti


.reset:
	xor ax, ax
	mov dl, [bootdisk]
	int 0x13

.read:
	mov ah, 0x2
	mov al, 1 ; read some sectors
	xor cx, cx
	mov cl, 2
	xor dx, dx
	mov dl, [bootdisk]
	
	; setup buffer
	xor bx, bx
	mov es, bx
	mov bx, 0x7E00
	int 0x13

	mov ax, 0b800h
	mov es, ax
	xor di, di
	mov al, 65
	mov ah, 0xa
	stosw
	jmp 0x0:0x7E00

	bootdisk db 0

times 510 - ($ - $$) db 0
dw 0xAA55